summaryrefslogtreecommitdiffstats
path: root/Doc/tools/mkhowto.sh
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1998-07-23 19:13:52 (GMT)
committerFred Drake <fdrake@acm.org>1998-07-23 19:13:52 (GMT)
commit8cab549c0ac7b591026353928b21d5883d494ad6 (patch)
tree7c5f648fada79bf2c68ef5059b7fe9705fb1faf4 /Doc/tools/mkhowto.sh
parent465a42a58ef0ab767b1e0c557393b098521f4628 (diff)
downloadcpython-8cab549c0ac7b591026353928b21d5883d494ad6.zip
cpython-8cab549c0ac7b591026353928b21d5883d494ad6.tar.gz
cpython-8cab549c0ac7b591026353928b21d5883d494ad6.tar.bz2
use_latex(): Hack to pass .syn files though uniq, so that the last module
in a HOWTO document isn't listed in the synopsis table twice. This will do until the real bug is found (low priority!).
Diffstat (limited to 'Doc/tools/mkhowto.sh')
-rwxr-xr-xDoc/tools/mkhowto.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/Doc/tools/mkhowto.sh b/Doc/tools/mkhowto.sh
index ac06ceb..a30afb2 100755
--- a/Doc/tools/mkhowto.sh
+++ b/Doc/tools/mkhowto.sh
@@ -94,6 +94,12 @@ use_latex() {
makeindex $MYFILE.idx
$MYDIR/indfix.py $MYFILE.ind
fi
+ if [ -f $MYFILE.syn ] ; then
+ # This hack is due to a bug with the module synopsis support that
+ # causes the last module synopsis to be written out twice in
+ # howto documents (not present for manuals). Repeated below.
+ uniq $MYFILE.syn >TEMP.syn && mv TEMP.syn $MYFILE.syn || exit $?
+ fi
$MYLATEX $MYFILE || exit $?
if [ -f mod$MYFILE.idx ] ; then
makeindex mod$MYFILE.idx
@@ -105,6 +111,9 @@ use_latex() {
if [ -f $MYFILE.toc -a $MYLATEX = pdflatex ] ; then
$MYDIR/toc2bkm.py -c section $MYFILE
fi
+ if [ -f $MYFILE.syn ] ; then
+ uniq $MYFILE.syn >TEMP.syn && mv TEMP.syn $MYFILE.syn || exit $?
+ fi
$MYLATEX $MYFILE || exit $?
}
@@ -121,7 +130,7 @@ build_ps() {
}
cleanup() {
- rm -f $1.aux $1.log $1.out $1.toc $1.bkm $1.idx $1.ilg $1.ind
+ rm -f $1.aux $1.log $1.out $1.toc $1.bkm $1.idx $1.ilg $1.ind $1.syn
rm -f mod$1.idx mod$1.ilg mod$1.ind
if [ ! "$BUILD_DVI" ] ; then
rm -f $1.dvi